<?php include("includes/init.php");?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>moje</title>
        <link rel="stylesheet" href="src/leaflet.css">
        <link rel="stylesheet" href="src/css/bootstrap.css">
        <link rel="stylesheet" href="src/plugins/L.Control.Pan.css">
        <link rel="stylesheet" href="src/plugins/L.Control.Zoomslider.css">
        <link rel="stylesheet" href="src/plugins/L.Control.MousePosition.css">
        <link rel="stylesheet" href="src/plugins/L.Control.Sidebar.css">
        <link rel="stylesheet" href="src/plugins/Leaflet.PolylineMeasure.css">
        <link rel="stylesheet" href="src/plugins/easy-button.css">
        <link rel="stylesheet" href="src/plugins/leaflet-opencage/src/css/L.Control.OpenCageSearch.css">
        <link rel="stylesheet" href="src/plugins/leaflet-styleeditor/css/Leaflet.StyleEditor.css">
        <link rel="stylesheet" href="src/plugins/leaflet-beautify-marker-icon.css">
        <link rel="stylesheet" href="src/css/font-awesome.min.css">
        <link rel="stylesheet" href="src/plugins/leaflet.awesome-markers.css">
        <!-- dodano dwie ściezki do pluginu-->
        <link rel="stylesheet" href="src/plugins/MarkerCluster.css">
        <link rel="stylesheet" href="src/plugins/MarkerCluster.Default.css">


        <script src="src/leaflet-src.js"></script>
        <script src="src/jquery-3.2.0.min.js"></script>
        <script src="src/plugins/L.Control.Pan.js"></script>
        <script src="src/plugins/L.Control.Zoomslider.js"></script>
        <script src="src/plugins/L.Control.MousePosition.js"></script>
        <script src="src/plugins/L.Control.Sidebar.js"></script>
        <script src="src/plugins/Leaflet.PolylineMeasure.js"></script>
        <script src="src/plugins/easy-button.js"></script>
        <script src="src/plugins/leaflet-providers.js"></script>
        <script src="src/plugins/leaflet-opencage/src/js/L.Control.OpenCageSearch.js"></script>
        <script src="src/plugins/leaflet-styleeditor/javascript/Leaflet.StyleEditor.js"></script>
        <script src="src/plugins/leaflet-styleeditor/javascript/Leaflet.StyleForms.js"></script>
        <script src="src/plugins/leaflet.ajax.min.js"></script>
        <script src="src/plugins/leaflet.sprite.js"></script>
        <script src="src/plugins/leaflet-beautify-marker-icon.js"></script>
        <script src="src/plugins/leaflet.awesome-markers.min.js"></script>
        <!-- dodano ściezke do pluginu-->
        <script src="src/plugins/leaflet.markercluster.js"></script>
        
        
        <!--    ***************  Begin Leaflet.Draw-->
        
        <script src="src/plugins/leaflet-draw/Leaflet.draw.js"></script>
        <script src="src/plugins/leaflet-draw/Leaflet.Draw.Event.js"></script>
        <link rel="stylesheet" href="src/plugins/leaflet-draw/leaflet.draw.css"/>

        <script src="src/plugins/leaflet-draw/Toolbar.js"></script>
        <script src="src/plugins/leaflet-draw/Tooltip.js"></script>

        <script src="src/plugins/leaflet-draw/ext/GeometryUtil.js"></script>
        <script src="src/plugins/leaflet-draw/ext/LatLngUtil.js"></script>
        <script src="src/plugins/leaflet-draw/ext/LineUtil.Intersect.js"></script>
        <script src="src/plugins/leaflet-draw/ext/Polygon.Intersect.js"></script>
        <script src="src/plugins/leaflet-draw/ext/Polyline.Intersect.js"></script>
        <script src="src/plugins/leaflet-draw/ext/TouchEvents.js"></script>

        <script src="src/plugins/leaflet-draw/draw/DrawToolbar.js"></script>
        <script src="src/plugins/leaflet-draw/draw/handler/Draw.Feature.js"></script>
        <script src="src/plugins/leaflet-draw/draw/handler/Draw.SimpleShape.js"></script>
        <script src="src/plugins/leaflet-draw/draw/handler/Draw.Polyline.js"></script>
        <script src="src/plugins/leaflet-draw/draw/handler/Draw.Circle.js"></script>
        <script src="src/plugins/leaflet-draw/draw/handler/Draw.Marker.js"></script>
        <script src="src/plugins/leaflet-draw/draw/handler/Draw.Polygon.js"></script>
        <script src="src/plugins/leaflet-draw/draw/handler/Draw.Rectangle.js"></script>

        <script src="src/plugins/leaflet-draw/edit/EditToolbar.js"></script>
        <script src="src/plugins/leaflet-draw/edit/handler/EditToolbar.Edit.js"></script>
        <script src="src/plugins/leaflet-draw/edit/handler/EditToolbar.Delete.js"></script>

        <script src="src/plugins/leaflet-draw/Control.Draw.js"></script>

        <script src="src/plugins/leaflet-draw/edit/handler/Edit.Poly.js"></script>
        <script src="src/plugins/leaflet-draw/edit/handler/Edit.SimpleShape.js"></script>
        <script src="src/plugins/leaflet-draw/edit/handler/Edit.Circle.js"></script>
        <script src="src/plugins/leaflet-draw/edit/handler/Edit.Rectangle.js"></script>
        <script src="src/plugins/leaflet-draw/edit/handler/Edit.Marker.js"></script>
        
<!--    **************  End of Lealet Draw-->

        <style>
            #mapdiv {
                height:100vh;
            }

            .col-xs-12, .col-xs-6, .col-xs-4 {
                padding:3px;
            }

            #divProject {
                background-color: beige;
            }

            .errorMsg {
                padding:0;
                text-align:center;
                background-color:darksalmon;
            }
        </style>
    </head>
    <body>
        <div id="side-bar" class="col-md-3">
            <button id='btnLocate' class='btn btn-primary btn-block'>Locate</button>
            <!--Project-->
            <div id="divProject" class="col-xs-12">
                <!--Nadajemy nazwę, za pomocą bootstrapa oscylujemy napis na środku (wyjustowaie)-->
                <div id="divProjectLabel" class="text-center col-xs-12">
                    <h4 id="lblProject">Wycieczki</h4>
                </div>
                <!--Nadajemy wiadoość error, ona pojawi się gdy nie będzie możżna wyszukać jakies rzeczy - wyskoczy komunikat ze nie znaleziono-->
                <div id="divProjectError" class="errorMsg col-xs-12"></div>
                <!--W tm divie zrobimy input czyli mozliwość wpisania danych oraz przycisk button -->
                <!--form-group has-error ???????????? po co jest ta klasa ??????????-->
                <div id="divFindProject" class="form-group has-error">
                    <div class="col-xs-6">
                        <input type="text" id="txtFindProject" class="form-control" placeholder="Znajdź wycieczkę po ID">
                    </div>
                    <div class="col-xs-6">
                        <button id="btnFindProject" class="btn btn-primary btn-block" >Znajdź wycieczkę</button>
                    </div>
                </div>
                <!--W tym divie wyświetlą się informacje o poligonie, te same co w popupie, będzie możan to zwinąć klikając na Linear Project-->
                <div class="" id="divProjectData"></div>                
            </div>
        </div>
        <div id="mapdiv" class="col-md-12"></div>
        <script>
            var mymap;
            var lyrOSM;
            var lyrWatercolor;
            var lyrTopo;
            var lyrImagery;
            var lyrOutdoors;
            var lyrSearch;
            var fgpDrawnItems;
            var ctlScale;
            var ctlPan;
            var ctlZoomslider;
            var ctlMouseposition;
            var ctlMeasure;
            var ctlEasybutton;
            var ctlSidebar;
            var ctlSearch;
            var ctlLayers;
            var ctlDraw;
            var ctlStyle;
            var objBasemaps;
            var objOverlays;
         
            
           
            
            $(document).ready(function(){
                
              
                mymap = L.map('mapdiv', {center:[52.668055, 17.165108], zoom:11, zoomControl:false, attributionControl:false});
                lyrOSM = L.tileLayer.provider('OpenStreetMap.Mapnik');
                lyrTopo = L.tileLayer.provider('OpenTopoMap');
                lyrImagery = L.tileLayer.provider('Esri.WorldImagery');
                lyrOutdoors = L.tileLayer.provider('Thunderforest.Outdoors');
                lyrWatercolor = L.tileLayer.provider('Stamen.Watercolor');
                mymap.addLayer(lyrOSM);
                
                
                
                objBasemaps = {
                    "Open Street Maps": lyrOSM,
                    "Topo Map":lyrTopo,
                    "Imagery":lyrImagery,
                    "Outdoors":lyrOutdoors,
                    "Watercolor":lyrWatercolor
                };
                
                fgpDrawnItems = new L.FeatureGroup();
                fgpDrawnItems.addTo(mymap);

//              ******  Load Data  ******

                refreshAdres();
                refreshAglomeracja();

                
                objOverlays = {
                    
                };
                
                ctlLayers = L.control.layers(objBasemaps, objOverlays).addTo(mymap);
                
                ctlPan = L.control.pan().addTo(mymap);
                ctlZoomslider = L.control.zoomslider({position:'topright'}).addTo(mymap);
                
                ctlMeasure = L.control.polylineMeasure().addTo(mymap);
                ctlSidebar = L.control.sidebar('side-bar').addTo(mymap);
                
                ctlEasybutton = L.easyButton('glyphicon-transfer', function(){
                   ctlSidebar.toggle(); 
                }).addTo(mymap);
                
                ctlSearch = L.Control.openCageSearch({key: '3c38d15e76c02545181b07d3f8cfccf0',limit: 10}).addTo(mymap);
                
                ctlScale = L.control.scale({position:'bottomleft', metric:false, maxWidth:200}).addTo(mymap);
                ctlMouseposition = L.control.mousePosition().addTo(mymap);
                
                ctlStyle = L.control.styleEditor({position:'topright'}).addTo(mymap);
                
                ctlDraw = new L.Control.Draw({
                    draw:{
                        circle:false
                    },
                    edit:{
                        featureGroup:fgpDrawnItems
                    }
                });
                ctlDraw.addTo(mymap);
                
                mymap.on('draw:created', function(e){
                    console.log(e);
                    fgpDrawnItems.addLayer(e.layer);
                    alert(JSON.stringify(e.layer.toGeoJSON()));
                });
                
                
            });
            
            function refreshAdres() {
                $.ajax({url:'load_skoki.php',
                    data: {tbl:'adresy1', flds:"id, simc_nazwa, ulic_nazwa, numer, zb"},
                    type: 'POST',
                    success: function(response){
                        jsnAdresy = JSON.parse(response);
                        lyrAdresy = L.geoJSON(jsnAdresy, {pointToLayer:returnAdresyMarker}).addTo(mymap);
                        
                    },
                    error:function(xhr, status, error){
                        alert("ERROR: " +error);
                    }
                
                });
            }

            




            function returnAdresyMarker(json, latlng){
                var att = json.properties;
                if (att.zb=='zbiornik') {
                    var clrAdres = 'red';
                } 
                else if (att.zb=='oczyszczal') {
                    var clrAdres = 'yellow';
                }    else {
                    var clrAdres = 'green';
                }

                return L.circle(latlng, {radius:2, color:clrAdres,fillColor:'green', fillOpacity:0.5}).bindPopup("miejscowość: "+att.simc_nazwa+"<br>ulica: "+att.ulic_nazwa+"<br>nr: "+att.numer);
            }



            function refreshAglomeracja() {
                $.ajax({url:'load_skoki.php',
                    data: {tbl:'aglomeracja', flds:"id"},
                    type: 'POST',
                    success: function(response){
                        jsnAdresy = JSON.parse(response);
                        lyrAdresy = L.geoJSON(jsnAdresy).addTo(mymap);
                        
                    },
                    error:function(xhr, status, error){
                        alert("ERROR: " +error);
                    }
                
                });
            }


            // dajemy funkcję która szuka ID wycieczki
            function returnWycieczkaByID(id){
                //tworzymy zienną która odwołuje się do lyrTrasy
                var arLayers = lyrTrasy.getLayers();
                //robimy pętle 
                for(i=0;i<arLayers.length-1;i++) {
                    //petla szuka po numerze z tbeli atrybutów - nr, tworzymy zmianną featureID
                    var featureID = arLayers[i].feature.properties.nr;
                    //gdy futureID jest równe wpisanemu ID w polu "Znajdź wycieczkę po ID" to zwraca nam nr wycieczki
                    if (featureID==id){
                        return arLayers[i];
                    }
                }
                //gdy takiego nr nie ma to pokazuje błąd
                return false;
            }
            //to dodałem
            //robimy funkcję click dla przycisku btnFindProject
            $("#btnFindProject").click(function(){
                //tworzymy zmienną id i przypisujemy jej wartość jaka zostanie wpisan przez urzytkownika wpolu na stronie "Znajdź wycieczkę po ID"
                var id = $("#txtFindProject").val();
                //tworzymy zmienną lyr która jest rówana funkcji którą zrobiliśmy powyżej
                var lyr = returnWycieczkaByID(id);
                //tworzymy warunek jeżeli
                if (lyr) {
                    //aby ta tymczsowa warstw zniknęła (patrz komentarz poniżej) gdy szukamy np drugiego id wycieczki to robimy kolejny warunek
                    if (lyrSearch) {
                        lyrSearch.remove();
                    }
                    //jeżeli id wpisane w polu na stronie "Znajdź wycieczkę po ID" znajduje się w tabeli atybutów to lyr istnieje i zostanie pokazanyna mapie, Nadajemy jego wygląd tworząc tymczasową wartwę
                    lyrSearch = L.geoJSON(lyr.toGeoJSON(), {style:{color:'red', weight:10, opacity:0.5}}).addTo(mymap);
                    //przybliża nam do znaleźionej wycieczki, pad(1) określa przyblizenie na mapie im większa wartośc tym mapa jest bardziej oddalona
                    mymap.fitBounds(lyr.getBounds().pad(1));
                    //nadajemy atrybuty które wyświetlą się w panelu w przygotowanym divie divProjectError
                    var att = lyr.feature.properties;
                    $("#divProjectData").html("<h4 class='text-center'>Informacje</h4><h5>Rodzaj: "+att.rodzaj+"</h5><h5>Tytuł: "+att.tytul+" </h5>");
                    $("#divProjectError").html("");
                    //gdy wpisanego przez użytkownika ID nie ma w tabeli atybutów (pliku geojason) to w divie ivProjectError wyświetli się napis Wycieczki o podanym ID jescze nie ma
                } else {
                    $("#divProjectError").html("**** Wycieczki o podanym ID jeszcze nie ma ****");
                }
            });

            
           
            

            
        </script>
    </body>
</html>